Update python-openstackclient to version 1.0.1

Bug #1393873 reported by David Medberry on 2014-11-18
18
This bug affects 3 people
Affects Status Importance Assigned to Milestone
python-openstackclient (Ubuntu)
Undecided
Unassigned

Bug Description

python-openstackclient needs to be updated to 1.0.1. This is the latest supported version and gets us to a finally 1.x series. It includes many new features but the most important one is that ability to have json output which enables all the openstack puppet modules to move to the latest API.

Richard Megginson (rmeggins) wrote :

1.0.1 is out. 1.0.x is going into vivid. Please update trusty to 1.0.1. Note that OpenStack Juno needs this, especially for installer support of the Keystone v3 API.

summary: - MUCH MUCH NEWER NEEDED
+ Update python-openstackclient to version 1.0.1
Matt Fischer (mfisch) wrote :

Gustavo Panizzo (gfa) is working this upstream in debian. Once it lands there I can push to universe for vivid. We'll need to see what the dependency situation is for other releases. Ideally this can land in UCA (hint hint).

description: updated
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in python-openstackclient (Ubuntu):
status: New → Confirmed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package python-openstackclient - 1.0.1-0ubuntu1

---------------
python-openstackclient (1.0.1-0ubuntu1) vivid; urgency=medium

  * New upstream release (LP: #1393873).
 -- James Page <email address hidden> Wed, 17 Dec 2014 21:57:18 +0000

Changed in python-openstackclient (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers